package org.springblade.datamigration.constant;

import lombok.Getter;

/**
 * @author lidexi
 * @date 2021/6/10 13:56
 * 数据迁移的url常量
 */

public interface UrlConstants {

	public static final String ACCESSTOKEN = "http://139.9.103.171:9091/permissions/authentication/login";

	//园区服务迁移接口地址
	@Getter
	enum agencyService {

		AGENCYURL("园区数据迁移地址", "http://139.9.103.171:9091/estate/agency/showAgencyList"),
		RESIDENTIALURL("小区数据迁移地址", "http://139.9.103.171:9091/estate/residential/showResidentialList"),
		BUILDINGURL("楼栋数据迁移地址", "http://139.9.103.171:9091/estate/building/showBuildingList"),
		UNITURL("单元数据迁移地址", "http://139.9.103.171:9091/estate/residential/getUnitsByPid"),
		FLOORURL("楼层数据迁移地址", "http://139.9.103.171:9091/estate/floor/showFloorList"),
		ROOMURL("房间数据迁移地址", "http://139.9.103.171:9091/estate/residential/getRoomsByPid");
		private String name;
		private String url;

		agencyService(String name, String url) {
			this.name = name;
			this.url = url;
		}
	}

	//设备服务迁移接口地址
	@Getter
	enum deviceService {

		DOORDEVICE("门禁设备数据迁移地址", "http://139.9.103.171:9091/device/manage/pagingQuery"),
		IOTDEVICE("iot设备数据迁移地址", "http://139.9.103.171:9091/iot/device/pagingQuery");

		private String name;
		private String url;

		deviceService(String name, String url) {
			this.name = name;
			this.url = url;
		}
	}

	//物业服务迁移接口地址
	@Getter
	enum estateService {

		APPLYUSER("住户申请数据迁移地址", "http://139.9.103.171:9091/apply/user/showApplyUserList?current=1&size=" + Integer.MAX_VALUE),
		IOTDEVICE("iot设备数据迁移地址", "http://139.9.103.171:9091/estate/residential/showResidentialList");

		private String name;
		private String url;

		estateService(String name, String url) {
			this.name = name;
			this.url = url;
		}
	}

	//人员服务迁移接口地址
	@Getter
	enum personService {

		MEMBER("小程序会员", "http://139.9.103.171:9091/statistics/member/showMemberList?current=1&size=" + Integer.MAX_VALUE),
		HOUSEUSER("住户列表", "http://139.9.103.171:9091/estate/user/showUserList?current=1&size=" + Integer.MAX_VALUE+"&desensitize=true");

		private String name;
		private String url;

		personService(String name, String url) {
			this.name = name;
			this.url = url;
		}
	}
}
